{% extends '../base.html'%}
{% block main %}
{% load static %}


<div class="conatiner-all d-flex position-relative">
  {% include "./admin-aside.html" %}
  {% include "../components/quick_access.html" %}
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des demandes de réparations</p>
    <div class="sort">
      <div class="select">
        <select id="status"class="form-select"aria-label="Default select example">
          <option value="0" selected>Toutes</option>
          {% for id, status in repair_status.items %}
            <option value="{{ id }}">{{ status }}</option>
          {% endfor %}
        </select>
      </div>
      <div class="select">
        <form action="{% url 'sort_repair_by_date' %}" method="POST">
          {% csrf_token %}
          <select id="sort-date" class="form-select" aria-label="Default select example" onchange="sortRepairByDate(this)" name="repair-sorted-date" >
            <option value="0" selected>Tout</option>
            <option value="1"{% if current_data_id == 1 %}selected{% endif %}>Par jour</option>
            <option value="2"{% if current_data_id == 2 %}selected{% endif %}>Par semaine</option>
            <option value="3"{% if current_data_id == 3 %}selected{% endif %}>Par mois</option>
            <option value="4"{% if current_data_id == 4 %}selected{% endif %}>Par année</option>
          </select>
        </form>
      </div>
      <div class="search">
        <div class="input-group">
          <input placeholder="Recharcher ..." type="text" class="form-control px-2" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default" id="inputSearchQ"/>
          <span class="input-group-text" id="inputGroup-sizing-default" title="Recharcher par le numéro de suivi ou par la siret">
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table">
      <thead>
        <tr style="font-size: 0.9rem">
          <th scope="col">N° de demande<br>Nom</th>
          <th scope="col">N° de série<br>Drone</th>
          <th scope="col">Statut<br>Date</th>
        </tr>
      </thead>
      <tbody class="table-group-divider" style="font-size: 0.8rem">
        {% for repair in repairs %}
        <tr data-readed="{{ repair.readed }}" data-bgcolor ="{{ repair.set_bg_color }}"  data-status="{{ repair.status }}">
          <td>
            <a href="{% url 'repair' id=repair.id %}">
              {{ repair.repair_number }}</a>
              <br>
              {{ repair.user.get_last_name }} {{ repair.user.get_first_name }}
          </td>
          <td>
            {{ repair.drone_siret|slice:"20" }}
            {% if repair.name %}
              <br>
              {{ repair.name|slice:"20" }}
            {% endif %}
          </td>
          <td>
            {{ repair.get_franch_phrase }}
            <br>
            {{ repair.created }}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
<script>

setTabletrBgColor()
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });
  // setTabletrBgColor()
</script>
{% endblock main%}